Package com.sun.mail.util

# Class BEncoderStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
com.sun.mail.util.BASE64EncoderStream
com.sun.mail.util.BEncoderStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class BEncoderStream extends BASE64EncoderStream
This class implements a 'B' Encoder as defined by RFC2047 for encoding MIME headers. It subclasses the BASE64EncoderStream class.

Author:
  John Mani

## Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

## Constructor Summary

Constructors
Constructor
Description
`BEncoderStream(OutputStream out)`
Create a 'B' encoder that encodes the specified input stream.

## Method Summary

Modifier and Type
Method
Description
`static int`
`encodedLength(byte[] b)`
Returns the length of the encoded version of this byte array.

### Methods inherited from class com.sun.mail.util.BASE64EncoderStream

`close, encode, flush, write, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BEncoderStream

public BEncoderStream(OutputStream out)
Create a 'B' encoder that encodes the specified input stream.

Parameters:
  `out` - the output stream

## Method Details

### encodedLength

public static int encodedLength(byte[] b)
Returns the length of the encoded version of this byte array.

Parameters:
  `b` - the byte array
Returns:
  the length